powered by Jive Software

Openfire 4.0.1 Released


#1

We’ve had quite some feedback from our recent 4.0.0 release. As is to be expected in a release that has many changes, some issues sneaked in. To address most of them, we released Openfire 4.0.1 today.

This release contains various changes, but most importantly fixes problems introduced in 4.0.0 related to LDAP and certificate store management. The complete changelog is available here: Openfire Changelog

You can download the new release from the download section on the IgniteRealtime.org website: Ignite Realtime: Downloads

The SHA-1 checksums for the various downloads:

Platform
SHA-1 Checksum
**Filename
**
Mac OS X
e912a219e155945e3d9ab5e3f7181fa025d8242c
openfire_4_0_1.dmg

Windows
008942ca0f5df38e3a5e69841e97971d658823a7
openfire_4_0_1.exe
Tarball
0de4d1e9533564484decb88b5d59238722774ed7
openfire_4_0_1.tar.gz
ZIP
783155b44e7fc5819b2dddc100acdb925ff5e736
openfire_4_0_1.zip
Source (Unix)
cfbada1c5a25637f0f8c85fef629ff090767e2ab
openfire_src_4_0_1.tar.gz
Source (ZIP)
0e21d915876d6e08d649714f66141d4acf54a09d
openfire_src_4_0_1.zip
Redhat / CentOS
ac7328da9faa7ef2614d51195ad711cc2877e778
openfire-4.0.1-1.i386.rpm
Debian / Ubuntu
1084d7e67299b3ddc20db4bf2a2a6d6bfde29a93
openfire_4.0.1_all.deb


#2

Btw, on the previous post i said i have updated to 4.0.0 without issues. But then we have discovered a bug with offline messages in Spark, so i had to revert to 3.10.3. Now that the issue is fixed and all my clients updated i was planning to update Openfire again tomorrow. I guess i will be going straight to 4.0.1


#3

um, still doesn’t work on any mac operating systems past leopard out of the box. not sure why a download is even offered considering your mac has to be frozen in 2007 for this thing to work…


#4

Cannot access the upgrade documentation. http://www.igniterealtime.org/builds/openfire/docs/latest/documentation/upgrade- guide.html

We’re sorry, this page can’t be found.

Use the back button on your browser, or jump to the igniterealtime.org home page.


#5

Fixed, sorry about that.


#6

Thanks ! Plan to upgrade very soon…


#7

Sorry for reporting that could not access https://localhost:9091 but http://localhost:9090 is ok.